Subject: The flavor of peaches

From: [email-masked] (Richard Cline)
Date: Sat, 04 May 1996 09:48:53 -0800

I have gown several different kinds of peaches and they have differing
flavor.  Probably the best tasting peach is the August Pride.  I live in a
Southern California coastal climate, very little winter - very few truly
hot days.  I find that a peach like the Babcock is sweet but it has very
little peach flavor.

How much of the taste of the fruit is dependent on the location where it
is grown?  I know that different tree varities are more productive
elsewhere.  Does the fruit assume a different taste?

____________________________________________
[email-masked]
"My words mean exactly what I choose them to mean."  Humpty Dumpty
____________________________________________